globus_gss_assist_activation(3)

NAME
globus_gss_assist_activation - Activation

 - Module Activation.

SYNOPSIS

  Macros

#define GLOBUS_GSI_GSS_ASSIST_MODULE

Detailed Description

Module Activation.

Globus GSI GSS Assist uses standard Globus module activation and deactivation. Before any Globus GSS Assist functions are called, the following function must be called:

globus_module_activate(GLOBUS_GSI_GSS_ASSIST_MODULE);

This function returns GLOBUS_SUCCESS if Globus GSI GSS Assist was successfully initialized, and you are therefore allowed to call GSS Assist functions. Otherwise, an error code is returned, and GSS Assist functions should not be subsequently called. This function may be called multiple times.

To deactivate Globus GSS Assist, the following function must be called:

globus_module_deactivate(GLOBUS_GSI_GSS_ASSIST_MODULE)

This function should be called once for each time Globus GSI GSS Assist was activated.

Macro Definition Documentation

  #define GLOBUS_GSI_GSS_ASSIST_MODULE
Module descriptor

Author

Generated automatically by Doxygen for globus_gss_assist from the source code.